package com.kingdee.eas.custom.dormitorysystem.application;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCheckInApplicationEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractCheckInApplicationEntryInfo()
    {
        this("id");
    }
    protected AbstractCheckInApplicationEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 分录 's 所在部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 所属职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 分录 's 入住房间 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getCheckInRoom()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("checkInRoom");
    }
    public void setCheckInRoom(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("checkInRoom", item);
    }
    /**
     * Object:分录's 注意事项property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object:分录's 入住日期property 
     */
    public java.util.Date getCheckInDate()
    {
        return getDate("checkInDate");
    }
    public void setCheckInDate(java.util.Date item)
    {
        setDate("checkInDate", item);
    }
    /**
     * Object:分录's 退宿日期property 
     */
    public java.util.Date getCheckoutDate()
    {
        return getDate("checkoutDate");
    }
    public void setCheckoutDate(java.util.Date item)
    {
        setDate("checkoutDate", item);
    }
    /**
     * Object: 分录 's 入住人员信息 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo getOccupants()
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo)get("occupants");
    }
    public void setOccupants(com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo item)
    {
        put("occupants", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("D6514C12");
    }
}